Name:       gnome-shell-extension-do-not-disturb-button
Summary:    Hide desktop notifications until you're ready to look at them
Version:    23
Release:    2%{?dist}
URL:        https://extensions.gnome.org/extension/964/do-not-disturb-button/
License:    GPLv2
BuildArch:  noarch

# Norman L. Smith tracks a few different Shell extensions in the same GitHub
# repo, and does not tag commits for releases of any of them. So, see the latest
# source release of Do Not Disturb Button, with changelog, here:
# https://nls1729.github.io/DNDlatestupdate.html
Source0: https://extensions.gnome.org/extension-data/donotdisturb-button@nls1729.v%{version}.shell-extension.zip
Source1: README.md

Requires: gnome-shell >= 3.24
Requires: gnome-shell-extension-common

Recommends: gnome-tweak-tool



%description
Do Not Disturb Button provides a panel button to temporarily hide incoming
notifications in GNOME Shell. A count of notifications appears next to the panel
button, and notifications remain hidden in the notifications message tray, until
you choose to show and dismiss them. You can also assign a keyboard shortcut to
toggle the Do Not Disturb status.

(Do Not Disturb Button allows you to set the "available" or "busy" status for
desktop notifications only, not the status of chat or other applications
connected to GNOME's Online Accounts.)



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  donotdisturb-button@nls1729
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -c %{name}-%{version}

%build
# No compiling necessary.

%install
mkdir -p %{final_install_dir}
cp --recursive --preserve=mode,timestamps  ./*  %{final_install_dir}
cp --recursive --preserve=mode,timestamps  %{SOURCE1}  ./README-fedora.md

# COPYING and README also get copied to standard documentation and license
# locations, so we don't need them here.
rm  %{final_install_dir}/COPYING  %{final_install_dir}/README.txt

# RPM will take care of gschemas, we don't need to include a precompiled copy.
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
mv  %{final_install_dir}/schemas/org.gnome.shell.extensions.donotdisturb-button.gschema.xml  \
    %{buildroot}/%{_datadir}/glib-2.0/schemas/
rm --recursive %{final_install_dir}/schemas/

mv  %{final_install_dir}/locale  %{buildroot}/%{_datadir}/
%find_lang donotdisturb-button-extension



%files -f donotdisturb-button-extension.lang
%doc README.txt  README-fedora.md
%license COPYING
%{gnome_extensions_dir}/%{UUID}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.donotdisturb-button.gschema.xml



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Andrew Toskin <andrew@tosk.in> - 23-1
- Bump to upstream version 23, which mostly corrects some extension
  metadata, and removes support for GNOME 3.24.

* Tue Apr 24 2018 Andrew Toskin <andrew@tosk.in> - 21-2
- Update minimum GNOME version to 3.20. Upstream no longer supports
  3.16.

* Tue Apr 24 2018 Andrew Toskin <andrew@tosk.in> - 21-1
- Bump to upstream version 21, which allows users to have the busy
  status persist across sessions, and updates translations to describe
  this new option.

* Sun Mar 11 2018 Andrew Toskin <andrew@tosk.in> - 20-1
- Bump to upstream version 20.
- Upstream developer made several releases in a relatively short time
  frame:
    - Versions 17 and 18 were never actually published, or have been removed.
    - Version 19 added compatibility with Ubuntu's modified, Unity-like
      GNOME Shell session, and a new setting allowing users to have Do
      Not Disturb mode enabled by default at login.
    - Version 20 added translations for this new setting menu.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
